import type { UmbDocumentUserPermissionModel } from '../types.js';
import { UmbLitElement } from '../../../../../core/lit-element/index.js';
declare const UmbInputDocumentGranularUserPermissionElement_base: (new (...args: any[]) => import("@umbraco-ui/uui-base").UUIFormControlMixinElement<FormDataEntryValue | FormData>) & typeof UmbLitElement;
export declare class UmbInputDocumentGranularUserPermissionElement extends UmbInputDocumentGranularUserPermissionElement_base {
    #private;
    get permissions(): Array<UmbDocumentUserPermissionModel>;
    set permissions(value: Array<UmbDocumentUserPermissionModel>);
    fallbackPermissions: Array<string>;
    private _items?;
    constructor();
    protected getFormElement(): undefined;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbInputDocumentGranularUserPermissionElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-document-granular-user-permission': UmbInputDocumentGranularUserPermissionElement;
    }
}
